summaryrefslogtreecommitdiffstats
path: root/source/l/loudmouth
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/loudmouth')
-rw-r--r--source/l/loudmouth/loudmouth-1.4.3-glib-compile-fix.patch17
-rwxr-xr-xsource/l/loudmouth/loudmouth.SlackBuild21
-rw-r--r--source/l/loudmouth/loudmouth.async_assertion.diff19
-rw-r--r--source/l/loudmouth/loudmouth.crtpath.diff11
-rw-r--r--source/l/loudmouth/loudmouth.gnutls.configure.ac.diff20
-rw-r--r--source/l/loudmouth/loudmouth.ld.gobject.diff11
-rw-r--r--source/l/loudmouth/loudmouth.sasl-md5-digest-uri.diff22
-rw-r--r--source/l/loudmouth/loudmouth.stanzadrop.diff45
8 files changed, 18 insertions, 148 deletions
diff --git a/source/l/loudmouth/loudmouth-1.4.3-glib-compile-fix.patch b/source/l/loudmouth/loudmouth-1.4.3-glib-compile-fix.patch
deleted file mode 100644
index 03d04e78a..000000000
--- a/source/l/loudmouth/loudmouth-1.4.3-glib-compile-fix.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-Fix compile against new glib.
-
-From: Daniel Drake <dsd@laptop.org>
-
-Index: loudmouth-1.4.3/loudmouth/lm-error.c
-===================================================================
---- loudmouth-1.4.3.orig/loudmouth/lm-error.c
-+++ loudmouth-1.4.3/loudmouth/lm-error.c
-@@ -19,7 +19,7 @@
- */
-
- #include <config.h>
--#include <glib/gerror.h>
-+#include <glib.h>
- #include "lm-error.h"
-
- /**
diff --git a/source/l/loudmouth/loudmouth.SlackBuild b/source/l/loudmouth/loudmouth.SlackBuild
index 156a49a9e..5974e3a66 100755
--- a/source/l/loudmouth/loudmouth.SlackBuild
+++ b/source/l/loudmouth/loudmouth.SlackBuild
@@ -23,8 +23,8 @@
# -----------------------------------------------------------------------------
PKGNAM=loudmouth
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-1.5.0-20121201}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:" -j4 "}
@@ -67,15 +67,7 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
-zcat $CWD/loudmouth.crtpath.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/loudmouth.gnutls.configure.ac.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/loudmouth.async_assertion.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/loudmouth.sasl-md5-digest-uri.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/loudmouth.stanzadrop.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/loudmouth-1.4.3-glib-compile-fix.patch.gz | patch -p1 --verbose || exit 1
-
-# needed after the configure.ac gnutls patch
-autoreconf
+zcat $CWD/loudmouth.ld.gobject.diff.gz | patch -p1 --verbose || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -98,6 +90,7 @@ LDFLAGS="$SLKLDFLAGS" \
--with-ssl=gnutls \
--enable-debug=yes \
--enable-static=no \
+ --enable-gtk-doc \
--program-prefix= \
--program-suffix= \
--build=$ARCH-slackware-linux \
@@ -108,8 +101,8 @@ LDFLAGS="$SLKLDFLAGS" \
## messages to the console. Don't mess with it!
##
-# this generates a broken libtool, so use the system version:
-cp /usr/bin/libtool .
+## this generates a broken libtool, so use the system version:
+#cp /usr/bin/libtool .
# Build and install:
make $NUMJOBS || make || exit 1
@@ -142,4 +135,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
# Build package:
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz
diff --git a/source/l/loudmouth/loudmouth.async_assertion.diff b/source/l/loudmouth/loudmouth.async_assertion.diff
deleted file mode 100644
index bda1d19b1..000000000
--- a/source/l/loudmouth/loudmouth.async_assertion.diff
+++ /dev/null
@@ -1,19 +0,0 @@
-diff -urp loudmouth-1.4.3.OLD/loudmouth/lm-socket.c loudmouth-1.4.3/loudmouth/lm-socket.c
---- loudmouth-1.4.3.OLD/loudmouth/lm-socket.c 2008-10-29 12:29:16.000000000 -0400
-+++ loudmouth-1.4.3/loudmouth/lm-socket.c 2008-11-28 19:24:04.000000000 -0500
-@@ -1107,6 +1107,7 @@ lm_socket_create (GMainContext *con
- _lm_socket_create_phase1 (socket, NULL, 0);
- }
-
-+#ifndef HAVE_ASYNCNS
- if (socket->connect_data == NULL) {
- /* Open failed synchronously, probably a DNS lookup problem */
- lm_socket_unref(socket);
-@@ -1118,6 +1119,7 @@ lm_socket_create (GMainContext *con
-
- return NULL;
- }
-+#endif
-
-
- /* If the connection fails synchronously, we don't want to call the
diff --git a/source/l/loudmouth/loudmouth.crtpath.diff b/source/l/loudmouth/loudmouth.crtpath.diff
deleted file mode 100644
index ada600405..000000000
--- a/source/l/loudmouth/loudmouth.crtpath.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- loudmouth-1.4.3/loudmouth/lm-ssl-gnutls.c.orig 2008-10-29 14:45:10.000000000 +0100
-+++ loudmouth-1.4.3/loudmouth/lm-ssl-gnutls.c 2009-11-03 23:49:02.000000000 +0100
-@@ -32,7 +32,7 @@
-
- #include <gnutls/x509.h>
-
--#define CA_PEM_FILE "/etc/ssl/certs/ca-certificates.crt"
-+#define CA_PEM_FILE "/usr/share/curl/ca-bundle.crt"
-
- struct _LmSSL {
- LmSSLBase base;
diff --git a/source/l/loudmouth/loudmouth.gnutls.configure.ac.diff b/source/l/loudmouth/loudmouth.gnutls.configure.ac.diff
deleted file mode 100644
index 6719141f5..000000000
--- a/source/l/loudmouth/loudmouth.gnutls.configure.ac.diff
+++ /dev/null
@@ -1,20 +0,0 @@
---- ./configure.ac.orig 2008-10-29 15:23:52.000000000 -0500
-+++ ./configure.ac 2010-04-10 15:42:12.000000000 -0500
-@@ -146,10 +146,13 @@
- enable_ssl=no
- if test "x$ac_ssl" = "xgnutls"; then
- dnl Look for GnuTLS
-- AM_PATH_LM_LIBGNUTLS($GNUTLS_REQUIRED, have_libgnutls=yes, have_libgnutls=no)
-- if test "x$have_libgnutls" = "xyes"; then
-- CFLAGS="$CFLAGS $LIBGNUTLS_CFLAGS"
-- LIBS="$LIBS $LIBGNUTLS_LIBS"
-+
-+ PKG_CHECK_MODULES(GNUTLS, gnutls >= $GNUTLS_REQUIRED, have_gnutls=yes, have_gnutls=no)
-+ if test "x$have_gnutls" = "xyes"; then
-+ AC_SUBST(ASYNCNS_CFLAGS)
-+ AC_SUBST(ASYNCNS_LIBS)
-+ CFLAGS="$CFLAGS $GNUTLS_CFLAGS"
-+ LIBS="$LIBS $GNUTLS_LIBS"
- AC_DEFINE(HAVE_GNUTLS, 1, [whether to use GnuTSL support.])
- enable_ssl=GnuTLS
- else
diff --git a/source/l/loudmouth/loudmouth.ld.gobject.diff b/source/l/loudmouth/loudmouth.ld.gobject.diff
new file mode 100644
index 000000000..a9f5b8133
--- /dev/null
+++ b/source/l/loudmouth/loudmouth.ld.gobject.diff
@@ -0,0 +1,11 @@
+--- ./loudmouth/Makefile.in.orig 2012-12-01 12:53:52.000000000 -0600
++++ ./loudmouth/Makefile.in 2013-03-20 21:25:34.368522959 -0500
+@@ -148,7 +148,7 @@
+ CCLD = $(CC)
+ LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
+ --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
+- $(LDFLAGS) -o $@
++ $(LDFLAGS) -o $@ -lgobject-2.0
+ SOURCES = $(libloudmouth_1_la_SOURCES) $(test_dns_SOURCES)
+ DIST_SOURCES = $(am__libloudmouth_1_la_SOURCES_DIST) \
+ $(test_dns_SOURCES)
diff --git a/source/l/loudmouth/loudmouth.sasl-md5-digest-uri.diff b/source/l/loudmouth/loudmouth.sasl-md5-digest-uri.diff
deleted file mode 100644
index 50c796e87..000000000
--- a/source/l/loudmouth/loudmouth.sasl-md5-digest-uri.diff
+++ /dev/null
@@ -1,22 +0,0 @@
-diff -urp loudmouth-1.4.3.OLD/loudmouth/lm-connection.c loudmouth-1.4.3/loudmouth/lm-connection.c
---- loudmouth-1.4.3.OLD/loudmouth/lm-connection.c 2008-10-29 16:38:26.000000000 -0400
-+++ loudmouth-1.4.3/loudmouth/lm-connection.c 2009-06-12 19:13:03.183960144 -0400
-@@ -1442,10 +1442,17 @@ lm_connection_authenticate (LmConnection
- connection->jid, connection->resource);
-
- if (connection->use_sasl) {
-+ gchar *domain = NULL;
-+
-+ if (!connection_get_server_from_jid (connection->jid, &domain)) {
-+ domain = g_strdup (connection->server);
-+ }
-+
- lm_sasl_authenticate (connection->sasl,
- username, password,
-- connection->server,
-+ domain,
- connection_sasl_auth_finished);
-+ g_free (domain);
-
- connection->features_cb =
- lm_message_handler_new (connection_features_cb,
diff --git a/source/l/loudmouth/loudmouth.stanzadrop.diff b/source/l/loudmouth/loudmouth.stanzadrop.diff
deleted file mode 100644
index 87b86a998..000000000
--- a/source/l/loudmouth/loudmouth.stanzadrop.diff
+++ /dev/null
@@ -1,45 +0,0 @@
-From: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
-Date: Tue, 13 Jan 2009 11:28:44 +0000
-Subject: [PATCH] Drop stanzas when failing to convert them to LmMessages
-
-when a stanza comes in that for some reason can't be parsed into an LmMessage,
-just drop them on the floor instead of blocking the parser. I've seen this
-issue happen in practise because some (buggy?) client sending an iq with a
-prefix e.g. <client:iq xmlns:client="jabber:client" ... />
----
- loudmouth/lm-parser.c | 15 ++++++---------
- 1 files changed, 6 insertions(+), 9 deletions(-)
-
-diff --git a/loudmouth/lm-parser.c b/loudmouth/lm-parser.c
-index 1938d56..89f6675 100644
---- a/loudmouth/lm-parser.c
-+++ b/loudmouth/lm-parser.c
-@@ -151,19 +151,16 @@ parser_end_node_cb (GMarkupParseContext *context,
- if (!m) {
- g_warning ("Couldn't create message: %s\n",
- parser->cur_root->name);
-- return;
-- }
--
-- g_log (LM_LOG_DOMAIN, LM_LOG_LEVEL_PARSER,
-+ } else {
-+ g_log (LM_LOG_DOMAIN, LM_LOG_LEVEL_PARSER,
- "Have a new message\n");
-- if (parser->function) {
-- (* parser->function) (parser, m, parser->user_data);
-+ if (parser->function) {
-+ (* parser->function) (parser, m, parser->user_data);
-+ }
-+ lm_message_unref (m);
- }
-
-- lm_message_unref (m);
- lm_message_node_unref (parser->cur_root);
--
--
- parser->cur_node = parser->cur_root = NULL;
- } else {
- LmMessageNode *tmp_node;
---
-1.5.6.5
-